Inicio > Linux, Trucos > Error de llave pública

Error de llave pública

En Linux es habitual tener que actualizar los repositorios, porque por ejemplo añadimos nuevas entradas.

Es posible que en ocasiones al intentar actualizar recibamos un error parecido a:
W: Error de GPG: http://ppa.launchpad.net/compiz/ubuntu jaunty main Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 31698435194ED284
W: Error de GPG: http://ppa.launchpad.net/compiz/ubuntu jaunty main Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 4BCE51A05D7E5281

Esto se debe a que las llaves publicas no están disponibles.

Para solucionarlo descargamos ESTE ARCHIVO. Lo descomprimimos, abrimos un Terminal y lo ejecutamos con la orden:
sudo launchpad-update jaunty

* Donde pone jaunty deberemos poner la versión que nosotros tengamos (hardy, intrepid, jaunty, karmic…)

Categorías:Linux, Trucos Etiquetas:
  1. Cruxi
    06/06/2009 a las 17:30

    Y cuando no puedes entrar en modo gráfico que?? jeje bueno, te lo bajas igual con el wget y listo!🙂

    • 06/06/2009 a las 19:22

      Hombre, la cosa es tenerlo ya descargado y a mano para cuando te pueda hacer falta😉

  2. Diego
    18/06/2009 a las 23:57

    HOla, es que al poner sudo launchpad-update jaunty a parte de no saber cual es el jaunty ni como mirarlo me dice este error:
    sudo: launchpad-update: command not found

    soy nuevo y necesito ayuda, muchas gracias

    • 19/06/2009 a las 08:15

      Hola,
      Estas serían las versiones:
      Ubuntu 9.04 – jaunty
      Ubuntu 8.10 – intrepid
      Ubuntu 8.04 – hardy

      Respecto a que te diga “command not found”… primero debes descomprimir el fichero que te has descargado, y después ejecutar el comando estando en la misma carpeta en la que está el fichero descomprimido.

      Espero que te sirva de ayuda, si no… aquí nos tienes!😉

      Saludos

  3. Diego
    19/06/2009 a las 10:36

    Ya, eso ya lo había hecho lo de extraer e ir al escritorio desde la terminal, pero me sigue poniendo lo de command not found, de todos modos al darle a actualizar repositorios me da este error, alomejor tiene algo que ver W: Error de GPG: http://ppa.launchpad.net jaunty Release Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 2ED6BB6042C24D89
    Muchas gracias

    • 19/06/2009 a las 10:43

      Esto puede que te pasase porque en el PATH no estuviese añadida la “carpeta actual”.

      Es decir, que tendrías que poner:
      sudo ./launchpad-update jaunty

      Para añadirlo al PATH puedes hacerlo con:
      export PATH=”$PATH:./”

  4. Diego
    19/06/2009 a las 10:38

    Vale lo he buscado y he conseguido arreglarlo, lo que tenia que hacer,(lo dejo por si le pasa a alguien lo mismo) era escribir esto:

    sudo apt-key adv –recv-keys –keyserver keyserver.ubuntu.com 2ED6BB6042C24D89

    Gracias por todo

    • 19/06/2009 a las 10:45

      Muy cierto, este es otro método para resolverlo sobre la marcha también.

  5. juan
    04/07/2009 a las 04:19

    lo descomprimes en el escritorio y luego
    sudo ./launchpad-update jaunty

  6. Ponch
    01/10/2009 a las 05:29

    Perfecto muchas gracias, he seguido tus pasos y se solucionó.

  7. ramoncito
    21/10/2009 a las 09:22

    Me sirvio buen aporte, este error me salia cada ves que hacia update, y cada que queria instalar un juego de Playdeb, saludos, gracias

  8. Fernandito
    19/03/2010 a las 15:51

    Muy buen aporte..!! yo tengo Karmic en 64 bits y no sale la opcion, la agrego y se queda en: Release: karmic
    Please Wait…
    y no importa las claves, tienen alguna sugerencia..??

  1. No trackbacks yet.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: